> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cakto.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Downloads do aluno

> A porta pública: precede a view do painel no MRO para trocar autenticação e escopo.

#### Escopo

```bash theme={null}
    read members
```


## OpenAPI

````yaml GET /public_api/members/enrollments/{id}/report/downloads/
openapi: 3.0.3
info:
  title: Cakto API
  version: 1.0.0
  description: Documentação da API pública do Cakto.
servers:
  - url: https://api.cakto.com.br
    description: Cakto API
security: []
paths:
  /public_api/members/enrollments/{id}/report/downloads/:
    get:
      tags:
        - members
      summary: Downloads do aluno
      description: >-
        A porta pública: precede a view do painel no MRO para trocar
        autenticação e escopo.
      operationId: members_enrollments_report_downloads_list
      parameters:
        - in: query
          name: access_plan
          schema:
            type: array
            items:
              type: string
          description: Valores múltiplos podem ser separados por vírgulas.
          explode: false
          style: form
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
        - name: limit
          required: false
          in: query
          description: Número de resultados a serem retornados por página.
          schema:
            type: integer
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: Número da página a ser retornada.
          schema:
            type: integer
        - name: search
          required: false
          in: query
          description: A search term.
          schema:
            type: string
        - in: query
          name: starts_at__gte
          schema:
            type: string
            format: date-time
        - in: query
          name: starts_at__lte
          schema:
            type: string
            format: date-time
        - in: query
          name: status
          schema:
            type: array
            items:
              type: string
          description: Valores múltiplos podem ser separados por vírgulas.
          explode: false
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedMemberEnrollmentDownloadList'
          description: ''
        '401':
          description: Request não autenticado devido à ausência ou invalidez do token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedError'
              examples:
                Token ausente ou inválido:
                  $ref: '#/components/examples/UnauthenticatedErrorExample'
        '404':
          description: Não existe ou não é da sua conta.
      security:
        - OAuth Token: []
components:
  schemas:
    PaginatedMemberEnrollmentDownloadList:
      type: object
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/MemberEnrollmentDownload'
    UnauthenticatedError:
      type: object
      properties:
        detail:
          type: string
    MemberEnrollmentDownload:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
          description: Identificador único do log de acesso no sistema
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Criado em
          description: Data e hora do evento de acesso
        material:
          allOf:
            - $ref: '#/components/schemas/MemberLessonExtraFileRef'
          readOnly: true
        lesson:
          allOf:
            - $ref: '#/components/schemas/MemberModuleLessonRef'
          readOnly: true
        module:
          allOf:
            - $ref: '#/components/schemas/MemberAreaModuleRef'
          readOnly: true
      required:
        - created_at
        - id
        - lesson
        - material
        - module
    MemberLessonExtraFileRef:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
          description: Identificador único do arquivo no sistema
        title:
          type: string
          readOnly: true
          title: Título
          description: Título do arquivo
        file_type:
          type: string
          readOnly: true
      required:
        - file_type
        - id
        - title
    MemberModuleLessonRef:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
          description: Identificador único da aula no sistema
        title:
          type: string
          readOnly: true
          title: Título
          description: Título da aula
      required:
        - id
        - title
    MemberAreaModuleRef:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
          description: Identificador único do módulo
        title:
          type: string
          readOnly: true
          title: Título
          description: Título do módulo
        position:
          type: integer
          readOnly: true
          title: Posição
          description: Posição do módulo na seção, para ordenação
        section:
          allOf:
            - $ref: '#/components/schemas/MemberAreaSectionRef'
          readOnly: true
      required:
        - id
        - position
        - section
        - title
    MemberAreaSectionRef:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
          description: Identificador único da seção
        title:
          type: string
          readOnly: true
          title: Título
          description: Título da seção
      required:
        - id
        - title
  examples:
    UnauthenticatedErrorExample:
      summary: Token ausente ou inválido
      description: Token ausente ou inválido
      value:
        detail: As credenciais de autenticação não foram fornecidas.
  securitySchemes:
    OAuth Token:
      type: http
      scheme: bearer
      in: header
      name: Authorization
      description: >-
        Token de autenticação do tipo `Bearer {access_token}`, onde
        `{access_token}` é o token obtido no fluxo de
        [autenticação](/authentication).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.